Summary: Matt Kruse's web-based calendar manager
Name: mkruse-calendar
Version: 2.2
Release: 3
Copyright: See http://mkruse.netexpress.net/scripts/legal.html
Group: Applications/WWW
BuildArchitectures: noarch
BuildRoot: /var/tmp/mkruse-calendar
Prefix: /home/httpd/mkruse-calendar
Source0: http://www.mattkruse.com/scripts/calendar/download/calendar.tar
Patch0: calendar.patch
Requires: perl >= 5.000

%description
A simple CGI calendar manager for any CGI-enabled web server.  Provides
flexible formatting, allows for multiple calendars, and includes an
administration utility.

Note that your web server must be reconfigured and made aware of this
utility before calendars will be usable.

%changelog
* Mon Nov 29 1999 Steve Coile <scoile@redhat.com>
- Initial release.

%prep
%setup -n calendar -q
%patch0 -p1

%build

rm -fr "$RPM_BUILD_ROOT"
mkdir "$RPM_BUILD_ROOT"

chmod -R a-x .
chown -R nobody:nobody .

mv calendar.pl calendar.cgi
chmod a+rx calendar.cgi

mv calendar_admin.pl calendar_admin.cgi
chmod a+rx calendar_admin.cgi

chmod 0666 calendar_events.txt
chown nobody:nobody calendar_events.txt

chmod 0666 calendar.cfg
chown nobody:nobody calendar.cfg

chmod 0666 templates/*.html
chown nobody:nobody templates/*.html

%install

mkdir -p "${RPM_BUILD_ROOT}/home/httpd/mkruse-calendar"

(cd "${RPM_BUILD_DIR}/calendar" && tar cflp - .) \
| (cd "${RPM_BUILD_ROOT}/home/httpd/mkruse-calendar" && tar xfpv -)

find "${RPM_BUILD_ROOT}" -type f \
| sed -e "s@${RPM_BUILD_ROOT}@@g" \
| grep -v /.flist \
| sed \
	-e '/\/calendar_events.txt$/{' \
		-e 's/^/%config /' \
	-e '}' \
	-e '/\/calendar.cfg$/{' \
		-e 's/^/%config /' \
	-e '}' \
	-e '/\/templates\/.*\.html$/{' \
		-e 's/^/%config /' \
	-e '}' \
> .flist

%clean
rm -fr "$RPM_BUILD_ROOT"

%files -f .flist
%defattr(-,nobody,nobody)
